cURL
curl --request PATCH \
--url https://gateway.7exchange.io/customer/1.0.0/organization/createAddress/{organizationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
{
"addresses": [
{
"addressPurpose": "<string>",
"address": [
{
"country": "<string>",
"area": "<string>",
"region": "<string>",
"city": "<string>",
"street": "<string>",
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"addressone": "<string>",
"addresstwo": "<string>",
"postal": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": {
"relationType": "<string>"
}
}
]
}
]
}
'import requests
url = "https://gateway.7exchange.io/customer/1.0.0/organization/createAddress/{organizationId}"
payload = { "addresses": [
{
"addressPurpose": "<string>",
"address": [
{
"country": "<string>",
"area": "<string>",
"region": "<string>",
"city": "<string>",
"street": "<string>",
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"addressone": "<string>",
"addresstwo": "<string>",
"postal": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": { "relationType": "<string>" }
}
]
}
] }
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
addresses: [
{
addressPurpose: '<string>',
address: [
{
country: '<string>',
area: '<string>',
region: '<string>',
city: '<string>',
street: '<string>',
building: '<string>',
apartment: '<string>',
entrance: '<string>',
floor: '<string>',
doorNumber: '<string>',
addressone: '<string>',
addresstwo: '<string>',
postal: '<string>',
geoPosition: {latitude: 123, longitude: 123, altitude: 123},
alternative: {word1: '<string>', word2: '<string>', word3: '<string>'},
relatedToAddress: {relationType: '<string>'}
}
]
}
]
})
};
fetch('https://gateway.7exchange.io/customer/1.0.0/organization/createAddress/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Organization
Create business address
PATCH
/
organization
/
createAddress
/
{organizationId}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I

